// -*- coding: utf-8 -*- 
// Halo ring at Earth-Sol L4 point
// JackDole 2016.07.03 21:37:01

// AndwarisRing.sc

Barycenter "L4-Sol-Earth"
{
    ParentBody     "Sol"
    
    Orbit
    {
        Epoch           2451545
        Period          1.0
        SemiMajorAxis   1.0000010178
        Eccentricity    0.0167086342
        Inclination     0.0
        AscendingNode   348.739
        LongOfPericen   102.93734808
        MeanLongitude   160.46645683
        RefPlane        "Ecliptic"
    }
}

//------------------------------------------------------------------------------
DwarfPlanet "Andwaris Ring/Andwari"
{
    ParentBody  "L4-Sol-Earth"
    Class       "Terra"
    
    Radius      149000
    Mass        1e-4
    
    Oblateness      0.0

    RotationPeriod  7
    Obliquity       60
    EqAscendNode   -22.203

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }

    Surface
    {
        DiffMap         "Andwari/Rim.*"
        BumpMap         "Andwari/Rim_Bump.*"
        DiffMapAlpha    "Transp"
    }
    
    Clouds
    {
        Height          -1000
        DiffMap         "Andwari/surface_diff.*"
        BumpMap         "Andwari/surface_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "Andwari/light.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
        Velocity        0
    }
    
    Clouds
    {
        Height          -1100
        DiffMap         "Andwari/clouds_diff.*"
        BumpMap         "Andwari/clouds_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "Andwari/clouds_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.90 0.66)
        GlowBright      0.25
        Velocity        0
    }
    
    /*
    Clouds
    {
        Height          -1200
        DiffMap         "Andwari/blue.*"
        DiffMapAlpha    "Transp"
        Velocity        0
    }
    */
    
    NoOcean     true
    
    Atmosphere
    {
        Model          "Earth"
        Height          1
        Density         1.2929
        Pressure        1
        Greenhouse      33
        Bright          0
        Opacity         0
        SkyLight        0
        Hue             0
        Saturation      1

        Composition
        {
            N2    	77.7729
            O2    	20.8625
            Ar    	0.9303
            H2O   	0.4
            CO2   	0.0398
        }
    }

    NoRings         true
    NoCometTail     true
    NoAurora        true
    NoLighting      true
    
    StaticPosPolar   (90.0 -90.0 300000.0)
}

Asteroid "O-Ring"
{
    ParentBody  "Andwaris Ring"
    Class       "Asteroid"
    
    Radius      150000
    Mass        1e-4
    
    Oblateness      0.0

    RotationPeriod  7
    Obliquity       0
    EqAscendNode    0

    Surface
    {
        DiffMap         "Andwari/Rim.*"
        BumpMap         "Andwari/Rim_Bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "Andwari/Rim_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.20 0.30)
        GlowBright      0.25
    }

    NoClouds        true
    NoAtmosphere    true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar   (0.0 0.0 0.0)
}

Asteroid "L-Ring"
{
    ParentBody  "Andwaris Ring"
    Class       "Asteroid"
    
    Radius      150000
    Mass        1e-4
    
    Oblateness      0.999

    RotationPeriod  7
    Obliquity       0
    EqAscendNode    0
    
    Surface
    {
        DiffMap         "Andwari/SideRim.*"
        BumpMap         "Andwari/SideRim_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "Andwari/SideRim_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.20 0.30)
        GlowBright      0.25
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0 7800.0)
}

Asteroid "S-Ring"
{
    ParentBody  "Andwaris Ring"
    Class       "Asteroid"
    
    Radius      150000
    Mass        1e-4
    
    Oblateness      0.999

    RotationPeriod  7
    Obliquity       0
    EqAscendNode    0
    
    Surface
    {
        DiffMap         "Andwari/SideRim.*"
        BumpMap         "Andwari/SideRim_bump.*"
        DiffMapAlpha    "Transp"
        GlowMap         "Andwari/SideRim_glow.*"
        GlowMode        "Night"
        GlowColor       (1.00 0.20 0.30)
        GlowBright      0.25
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 -90.0 7800.0)
}

//------------------------------------------------------------------------------
